%global framework kauth

Name:           kf5-%{framework}
Version: 5.55.0
Release: 2
Summary:        KDE Frameworks 5 Tier 2 integration module to perform actions as privileged user

License:        LGPLv2+
URL:            https://cgit.kde.org/%{framework}.git

%global majmin 5.55
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/frameworks/%{majmin}/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= %{majmin}
BuildRequires:  kf5-kcoreaddons-devel >= %{majmin}
BuildRequires:  kf5-rpm-macros

BuildRequires:  polkit-qt5-1-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel

%description
KAuth is a framework to let applications perform actions as a privileged user.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel >= %{majmin}
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DKDE_INSTALL_LIBEXECDIR=%{_kf5_libexecdir}
popd

%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang_kf5 kauth5_qt


%ldconfig_scriptlets

%files -f kauth5_qt.lang
%doc README.md
%license COPYING*
%{_kf5_sysconfdir}/xdg/%{framework}.*
%{_kf5_libdir}/libKF5Auth.so.5*
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kf5auth.conf
%{_kf5_qtplugindir}/kauth/
%{_kf5_datadir}/kf5/kauth/
%{_kf5_libexecdir}/kauth/

%files devel
%{_kf5_includedir}/kauth_version.h
%{_kf5_includedir}/KAuth/
%{_kf5_libdir}/libKF5Auth.so
%{_kf5_libdir}/cmake/KF5Auth/
%{_kf5_archdatadir}/mkspecs/modules/qt_KAuth.pri


%changelog
* Mon Dec 12 2020 huanghaitao <huanghaitao8@huawei.com> - 5.55.0-2
- Remove the release suffix

* Thu Jul 23 2020 wangmian<wangmian@kylinos.cn> - 5.55.0-1
- Init kf5-kauth project
